<?php if (!defined('APPLICATION')) exit();

$Session = Gdn::Session();
$UploadOK = $this->Form->IsPostBack() && $this->Form->ErrorCount() == 0;
$UploadOptions = array(Gdn::Translate('ToRename') => 'Rename', Gdn::Translate('ToOverwrite') => 'Overwrite');
// Gdn::Translate('LoadUpFilePath')
?>

<h1><?php echo Gdn::Translate('Upload File') ?></h1>

<?php echo $this->Form->Open(array('enctype' => 'multipart/form-data')) ?>
<?php echo $this->Form->Errors() ?>

<ul class="LoadUpForm">

<li>
<?php echo $this->Form->Label('Choose File', 'File') ?>
<?php echo $this->Form->Input('File', 'file') ?>
</li>

<li>
<?php echo $this->Form->Label('Upload To', 'UploadTo') ?>
<?php echo $this->Form->DropDown('UploadTo', $this->UploadTo, array('IncludeNull' => True)) ?>

<?php if(@$this->UploadedFile) echo Anchor($this->UploadedFile, $this->UploadedFile, '', array('target' => '_blank')) ?>
</li>

<li>
<strong><?php echo Gdn::Translate('If File Exists') ?>:</strong>
<?php echo $this->Form->CheckBox('Rename', Gdn::Translate('ToRename')) ?>
<?php if($Session->CheckPermission('Plugins.Garden.LoadUp.Overwrite'))
	echo $this->Form->CheckBox('Overwrite', Gdn::Translate('ToOverwrite')) ?>
</li>

<?php if($UploadOK):?>
	<li>
	<?php echo $this->Form->Label('Result', 'MyResult') ?>
	<?php echo $this->Form->TextBox('MyResult', array('value' => $this->UploadedFile)) ?>
	</li>
<?php endif; ?>
	
</ul>
<?php echo $this->Form->Button('Upload') ?>



<?php echo $this->Form->Close() ?>